Avidemux 2.6 Scripting Reference: VideoFilter Class Reference

| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
VideoFilter Class Reference

The VideoFilter class is the base class of all Avidemux video filters. More...

## Public Member Functions
void | resetConfiguration ()
| Resets the video filter back to its default configuration.

## Properties
Object | configuration
| Gets an object that holds parameters used to configure the video filter.
String | name
| Gets the user friendly name of the video filter.
VideoOutput | videoOutput
| Gets the properties of the video after the filter has been applied.

## Detailed Description

The VideoFilter class is the base class of all Avidemux video filters.

Depending on the plugins that are packaged with Avidemux, the following video filter classes may be available to the ECMA scripting engine:

- AddborderVideoFilter
- AddlogoVideoFilter
- AsharpVideoFilter
- BlackenborderVideoFilter
- ChangefpsVideoFilter
- ChromashiftVideoFilter
- ColoryuvVideoFilter
- ContrastVideoFilter
- CropVideoFilter
- DecimateVideoFilter
- DgbobVideoFilter
- DummyVideoFilter
- Eq2VideoFilter
- FluxsmoothVideoFilter
- GaussianVideoFilter
- GlbenchmarkVideoFilter
- GlresizeVideoFilter
- GlrotateVideoFilter
- GlsampledistortVideoFilter
- Glsamplefragment2VideoFilter
- HueVideoFilter
- HflipVideoFilter
- HzstackfieldVideoFilter
- KerndeldeintVideoFilter
- LargemedianVideoFilter
- LavdeintVideoFilter
- LumaonlyVideoFilter
- MeanVideoFilter
- MedianVideoFilter
- MergefieldsVideoFilter
- MpdelogoVideoFilter
- Mplayerdenoise3dhqVideoFilter
- Mplayerdenoise3dVideoFilter
- MsharpenVideoFilter
- PrintinfoVideoFilter
- ResamplefpsVideoFilter
- RotateVideoFilter
- RplaneVideoFilter
- SeparatefieldsVideoFilter
- SharpenVideoFilter
- SsaVideoFilter
- StackfieldVideoFilter
- SwapuvVideoFilter
- SwscaleVideoFilter
- TelecideVideoFilter
- UnstackfieldVideoFilter
- VflipVideoFilter
- YadifVideoFilter

## Member Function Documentation

void resetConfiguration | ( |  | ) |

Resets the video filter back to its default configuration.

See Also
  configuration

## Property Documentation

Object configuration
| read

Gets an object that holds parameters used to configure the video filter.

See Also
  resetConfiguration

VideoOutput videoOutput
| read

Gets the properties of the video after the filter has been applied.

Returns
  Returns a VideoOutput object if the filter has been applied to the video to the editor; otherwise, null.